Skip to content

Transportial OTMS API (0.9.74)

Welcome to the Transportial API. It's the full API access for the OTMS Transportatial application. Every feature that is available (and more) in the UI is available here. It's our mission to facilitate open, fast, enterprise grade architecture for transportation.

Download OpenAPI description
Languages
Servers
Mock server
https://docs.transportial.com/_mock/apis
Test environment
https://test.api.otms.transportial.com/api
Production
https://api.otms.transportial.com/api

Calendar Events

Calendar occurrences for vehicles within a date range.

Operations

Tender

Tenders can be stacked and constrain different activities in their context

Operations

Get tenders

Request

Get list of tenders

Security
bearer or apiKey or apiSecret
Path
offsetinteger(int64)required
amountstringrequired
Headers
Authorizationstringrequired
curl -i -X GET \
  'https://docs.transportial.com/_mock/apis/tenders/{offset}/{amount}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Success

Bodyapplication/json
successboolean
messagestring
codeinteger(int32)
tenderobject(TenderModel)
Response
application/json
{ "success": true, "message": "string", "code": 0, "tender": { "id": "string", "nonce": "string", "uuid": "string", "primaryPlatformId": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "language": {}, "platforms": [], "name": "string", "description": "string", "type": "one_time", "status": "concept", "targetPrice": {}, "acceptAutomaticallyAtTargetPrice": true, "business": {}, "creator": {}, "brokers": [], "contract": {}, "consignment": {}, "mostRecentBid": {}, "lowestAmountBid": {}, "totalBidCount": 0 } }

Get tenders

Request

Search list of tenders based on query and params

Security
bearer or apiKey or apiSecret
Path
offsetinteger(int64)required
amountstringrequired
Headers
Authorizationstringrequired
Bodyapplication/jsonrequired
querystring
statusstring

Filter on a single status (deprecated, use statuses)

Enum"concept""open""accepted""closed"
statusesArray of strings

Filter on multiple statuses

sourcesArray of strings

Filter on multiple sources

sourcestring

Filter on a single source (deprecated, use sources)

Enum"INTERNAL""TIMOCOM""TRANS_EU""TELEROUTE""FREIGHTOS""DAT""SENNDER""API_INBOUND""UTURN"
typesArray of strings

Filter on tender type (ONE_TIME, REOCCURRING)

userstring

The user ID who created the Tender

businessstring

The business ID who created the Tender

customersArray of strings

Filter by business IDs (customers)

teamsArray of strings

Filter by team IDs

minTargetPricenumber(double)

Minimum target price amount

maxTargetPricenumber(double)

Maximum target price amount

minBidCountinteger(int32)

Minimum total bid count

maxBidCountinteger(int32)

Maximum total bid count

autoAcceptboolean

Filter tenders with acceptAutomaticallyAtTargetPrice enabled

externalPlatformstring

Filter by external platform name

createdAtobject(TimeWindowModel)
currentLocationRadiusobject(LocationRadiusFilter)
nextActionLocationRadiusobject(LocationRadiusFilter)
lastActionLocationRadiusobject(LocationRadiusFilter)
corridorobject(CorridorFilter)

Find tenders along a route corridor between two locations

sortByArray of objects(SortField)
nextAction.constraints.startDateTimeobject(TimeWindowModel)
nextAction.constraints.endDateTimeobject(TimeWindowModel)
lastAction.constraints.startDateTimeobject(TimeWindowModel)
lastAction.constraints.endDateTimeobject(TimeWindowModel)
curl -i -X POST \
  'https://docs.transportial.com/_mock/apis/tenders/{offset}/{amount}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "query": "string",
    "status": "concept",
    "statuses": [
      "string"
    ],
    "sources": [
      "string"
    ],
    "source": "INTERNAL",
    "types": [
      "string"
    ],
    "user": "string",
    "business": "string",
    "customers": [
      "string"
    ],
    "teams": [
      "string"
    ],
    "minTargetPrice": 0.1,
    "maxTargetPrice": 0.1,
    "minBidCount": 0,
    "maxBidCount": 0,
    "autoAccept": true,
    "externalPlatform": "string",
    "createdAt": {
      "id": "string",
      "start": "2019-08-24T14:15:22Z",
      "end": "2019-08-24T14:15:22Z"
    },
    "currentLocationRadius": {
      "location": {
        "nonce": "string",
        "uuid": "string",
        "primaryPlatformId": "string",
        "language": {},
        "type": "warehouse",
        "name": "string",
        "unCode": "string",
        "geoReference": {
          "nonce": "string",
          "uuid": "string",
          "primaryPlatformId": "string",
          "language": {},
          "type": "addressGeoReference",
          "name": "string",
          "street": "string",
          "houseNumber": "string",
          "houseNumberAddition": "string",
          "postalCode": "string",
          "city": "string",
          "country": "string",
          "hash": "string"
        },
        "administrativeReference": {
          "name": "string",
          "street": "string",
          "houseNumber": "string",
          "houseNumberAddition": "string",
          "postalCode": "string",
          "city": "string",
          "country": "string"
        },
        "contactDetails": [
          {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "type": "iban",
            "value": "string",
            "remarks": "string"
          }
        ],
        "openingTimes": {
          "monday": {
            "start": "string",
            "end": "string",
            "open": true,
            "day": "2019-08-24",
            "name": "string",
            "description": "string"
          },
          "tuesday": {
            "start": "string",
            "end": "string",
            "open": true,
            "day": "2019-08-24",
            "name": "string",
            "description": "string"
          },
          "wednesday": {
            "start": "string",
            "end": "string",
            "open": true,
            "day": "2019-08-24",
            "name": "string",
            "description": "string"
          },
          "thursday": {
            "start": "string",
            "end": "string",
            "open": true,
            "day": "2019-08-24",
            "name": "string",
            "description": "string"
          },
          "friday": {
            "start": "string",
            "end": "string",
            "open": true,
            "day": "2019-08-24",
            "name": "string",
            "description": "string"
          },
          "saturday": {
            "start": "string",
            "end": "string",
            "open": true,
            "day": "2019-08-24",
            "name": "string",
            "description": "string"
          },
          "sunday": {
            "start": "string",
            "end": "string",
            "open": true,
            "day": "2019-08-24",
            "name": "string",
            "description": "string"
          }
        },
        "terminal": {
          "nonce": "string",
          "uuid": "string",
          "primaryPlatformId": "string",
          "language": {},
          "name": "string",
          "integrationType": "portbase",
          "ean": "string",
          "bicsCode": "string",
          "quayName": "string",
          "smdgCode": "string",
          "locations": [
            {}
          ],
          "allowedModalities": [
            "string"
          ],
          "terminalSettings": [
            {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "loading": true,
              "full": true,
              "modality": "string",
              "sealNumberAllowed": true,
              "reeferAllowed": true,
              "grossWeightAllowed": true,
              "outOfGaugeAllowed": true,
              "dangerousGoodsAllowed": true,
              "cargoCutOffInMinutes": 0
            }
          ],
          "tarRequired": true,
          "roadLicenseIdRequired": true
        },
        "actions": [
          {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "type": "load",
            "groupId": "string",
            "name": "string",
            "externalAttributes": {
              "property1": {},
              "property2": {}
            },
            "identifiers": [
              {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "name": "string",
                "system": "string",
                "value": "string",
                "expiredAt": "2019-08-24T14:15:22Z"
              }
            ],
            "lifeCycle": "requested",
            "result": {
              "status": "succeeded",
              "remark": "string",
              "reason": "string",
              "results": [
                {
                  "property1": {},
                  "property2": {}
                }
              ],
              "answers": {
                "property1": {},
                "property2": {}
              },
              "attachments": [
                {}
              ]
            },
            "remark": "string",
            "sequenceNr": 0,
            "tripSequenceNr": 0,
            "location": {
              "associationType": "inline",
              "entity": {},
              "description": "string"
            },
            "startTime": "2019-08-24T14:15:22Z",
            "endTime": "2019-08-24T14:15:22Z",
            "eta": "2019-08-24T14:15:22Z",
            "etd": "2019-08-24T14:15:22Z",
            "timeFormat": "string",
            "recurrence": "string",
            "duration": 0,
            "estimatedDuration": 0,
            "inTripOnly": true,
            "actions": [
              {
                "associationType": "inline",
                "entity": {
                  "externalAttributes": {},
                  "actions": [],
                  "documents": [],
                  "contextEvents": [],
                  "attributes": [],
                  "timeslotBookings": [],
                  "identifiers": [],
                  "constraints": [],
                  "communicationRequests": [],
                  "stop": {}
                },
                "description": "string"
              }
            ],
            "communicationRequests": [
              {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "name": "string",
                "description": "string",
                "status": "pending",
                "responseMessage": "string",
                "responseValue": "string"
              }
            ],
            "documents": [
              {
                "associationType": "inline"
              }
            ],
            "contextEvents": [
              {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "type": "generalEvent",
                "lifeCycle": "requested",
                "externalAttributes": {
                  "property1": {},
                  "property2": {}
                },
                "identifiers": [
                  null
                ],
                "dateTime": "2019-08-24T14:15:22Z",
                "vehicle": {},
                "transportEquipment": {},
                "stopAction": {},
                "geoReference": {
                  "language": {}
                }
              }
            ],
            "attributes": [
              {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "name": "string",
                "color": "string"
              }
            ],
            "versionNumber": 0,
            "constraints": [
              {
                "associationType": "inline",
                "entity": {},
                "description": "string"
              }
            ],
            "consignment": {
              "associationType": "inline",
              "entity": {
                "nonce": "string",
                "versionNumber": 0,
                "hasAgreedToPrice": true,
                "orderType": "standard",
                "name": "string",
                "consignmentNr": "string",
                "description": "string",
                "status": "draft",
                "highValueGoods": true,
                "goods": [
                  null
                ],
                "team": {
                  "emailIntegration": {},
                  "vehicleGroups": [],
                  "fleets": [],
                  "features": [],
                  "managers": [],
                  "users": []
                },
                "consignment": {},
                "currentLocation": {},
                "nextAction": {},
                "lastAction": {},
                "lastPlannedAction": {},
                "isPlannedToLastLocation": true,
                "documents": [
                  null
                ],
                "actors": [
                  null
                ],
                "actions": [
                  null
                ],
                "pricingElements": [
                  null
                ],
                "externalAttributes": {
                  "property1": {},
                  "property2": {}
                },
                "expectedRevenue": {
                  "moneyBuildBlocks": []
                },
                "expectedCost": {
                  "moneyBuildBlocks": []
                },
                "combined": true,
                "type": "string",
                "remark": "string",
                "constraints": [
                  null
                ],
                "identifiers": [
                  null
                ],
                "attributes": [
                  null
                ]
              }
            },
            "isContainmentAction": true,
            "vehicle": {
              "associationType": "inline"
            },
            "transportEquipment": {
              "associationType": "inline"
            },
            "stop": {
              "associationType": "inline",
              "entity": {
                "nonce": "string",
                "versionNumber": 0,
                "type": "load",
                "name": "string",
                "groupId": "string",
                "externalAttributes": {
                  "property1": {},
                  "property2": {}
                },
                "lifeCycle": "requested",
                "result": {
                  "results": [],
                  "answers": {},
                  "attachments": []
                },
                "remark": "string",
                "sequenceNr": 0,
                "tripSequenceNr": 0,
                "location": {
                  "entity": {}
                },
                "startTime": "2019-08-24T14:15:22Z",
                "endTime": "2019-08-24T14:15:22Z",
                "eta": "2019-08-24T14:15:22Z",
                "etd": "2019-08-24T14:15:22Z",
                "timeFormat": "string",
                "recurrence": "string",
                "duration": 0,
                "estimatedDuration": 0,
                "inTripOnly": true,
                "actions": [
                  {}
                ],
                "documents": [
                  null
                ],
                "contextEvents": [
                  null
                ],
                "attributes": [
                  null
                ],
                "timeslotBookings": [
                  null
                ],
                "identifiers": [
                  null
                ],
                "constraints": [
                  null
                ],
                "communicationRequests": [
                  null
                ],
                "consignment": {},
                "isContainmentAction": true,
                "vehicle": {},
                "transportEquipment": {},
                "stop": {},
                "pin": "string",
                "tar": "string",
                "shipmentLine": {},
                "containmentUUID": "string"
              },
              "description": "string"
            },
            "pin": "string",
            "tar": "string",
            "shipmentLine": {
              "scacCode": "string",
              "smdgCode": "string"
            },
            "containmentUUID": "string"
          }
        ],
        "constraints": [
          {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "type": "accessConstraint",
            "name": "string",
            "enforceability": "enforced",
            "description": "string"
          }
        ],
        "pricingElements": [
          {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "sequenceNr": 0,
            "quantity": 0,
            "name": "string",
            "description": "string",
            "category": {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "name": "string",
              "creditCode": "string",
              "debitCode": "string",
              "defaultValue": 0.1,
              "enabled": true,
              "tripRevenue": true
            },
            "business": {}
          }
        ],
        "remark": "string",
        "hash": "string",
        "identifiers": [
          {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "name": "string",
            "system": "string",
            "value": "string",
            "expiredAt": "2019-08-24T14:15:22Z"
          }
        ],
        "externalAttributes": {
          "property1": {},
          "property2": {}
        },
        "dataIsComplete": true
      },
      "radius": 0.1
    },
    "nextActionLocationRadius": {
      "location": {
        "nonce": "string",
        "uuid": "string",
        "primaryPlatformId": "string",
        "language": {},
        "type": "warehouse",
        "name": "string",
        "unCode": "string",
        "geoReference": {
          "nonce": "string",
          "uuid": "string",
          "primaryPlatformId": "string",
          "language": {},
          "type": "addressGeoReference",
          "name": "string",
          "street": "string",
          "houseNumber": "string",
          "houseNumberAddition": "string",
          "postalCode": "string",
          "city": "string",
          "country": "string",
          "hash": "string"
        },
        "administrativeReference": {
          "name": "string",
          "street": "string",
          "houseNumber": "string",
          "houseNumberAddition": "string",
          "postalCode": "string",
          "city": "string",
          "country": "string"
        },
        "contactDetails": [
          {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "type": "iban",
            "value": "string",
            "remarks": "string"
          }
        ],
        "openingTimes": {
          "monday": {
            "start": "string",
            "end": "string",
            "open": true,
            "day": "2019-08-24",
            "name": "string",
            "description": "string"
          },
          "tuesday": {
            "start": "string",
            "end": "string",
            "open": true,
            "day": "2019-08-24",
            "name": "string",
            "description": "string"
          },
          "wednesday": {
            "start": "string",
            "end": "string",
            "open": true,
            "day": "2019-08-24",
            "name": "string",
            "description": "string"
          },
          "thursday": {
            "start": "string",
            "end": "string",
            "open": true,
            "day": "2019-08-24",
            "name": "string",
            "description": "string"
          },
          "friday": {
            "start": "string",
            "end": "string",
            "open": true,
            "day": "2019-08-24",
            "name": "string",
            "description": "string"
          },
          "saturday": {
            "start": "string",
            "end": "string",
            "open": true,
            "day": "2019-08-24",
            "name": "string",
            "description": "string"
          },
          "sunday": {
            "start": "string",
            "end": "string",
            "open": true,
            "day": "2019-08-24",
            "name": "string",
            "description": "string"
          }
        },
        "terminal": {
          "nonce": "string",
          "uuid": "string",
          "primaryPlatformId": "string",
          "language": {},
          "name": "string",
          "integrationType": "portbase",
          "ean": "string",
          "bicsCode": "string",
          "quayName": "string",
          "smdgCode": "string",
          "locations": [
            {}
          ],
          "allowedModalities": [
            "string"
          ],
          "terminalSettings": [
            {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "loading": true,
              "full": true,
              "modality": "string",
              "sealNumberAllowed": true,
              "reeferAllowed": true,
              "grossWeightAllowed": true,
              "outOfGaugeAllowed": true,
              "dangerousGoodsAllowed": true,
              "cargoCutOffInMinutes": 0
            }
          ],
          "tarRequired": true,
          "roadLicenseIdRequired": true
        },
        "actions": [
          {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "type": "load",
            "groupId": "string",
            "name": "string",
            "externalAttributes": {
              "property1": {},
              "property2": {}
            },
            "identifiers": [
              {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "name": "string",
                "system": "string",
                "value": "string",
                "expiredAt": "2019-08-24T14:15:22Z"
              }
            ],
            "lifeCycle": "requested",
            "result": {
              "status": "succeeded",
              "remark": "string",
              "reason": "string",
              "results": [
                {
                  "property1": {},
                  "property2": {}
                }
              ],
              "answers": {
                "property1": {},
                "property2": {}
              },
              "attachments": [
                {}
              ]
            },
            "remark": "string",
            "sequenceNr": 0,
            "tripSequenceNr": 0,
            "location": {
              "associationType": "inline",
              "entity": {},
              "description": "string"
            },
            "startTime": "2019-08-24T14:15:22Z",
            "endTime": "2019-08-24T14:15:22Z",
            "eta": "2019-08-24T14:15:22Z",
            "etd": "2019-08-24T14:15:22Z",
            "timeFormat": "string",
            "recurrence": "string",
            "duration": 0,
            "estimatedDuration": 0,
            "inTripOnly": true,
            "actions": [
              {
                "associationType": "inline",
                "entity": {
                  "externalAttributes": {},
                  "actions": [],
                  "documents": [],
                  "contextEvents": [],
                  "attributes": [],
                  "timeslotBookings": [],
                  "identifiers": [],
                  "constraints": [],
                  "communicationRequests": [],
                  "stop": {}
                },
                "description": "string"
              }
            ],
            "communicationRequests": [
              {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "name": "string",
                "description": "string",
                "status": "pending",
                "responseMessage": "string",
                "responseValue": "string"
              }
            ],
            "documents": [
              {
                "associationType": "inline"
              }
            ],
            "contextEvents": [
              {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "type": "generalEvent",
                "lifeCycle": "requested",
                "externalAttributes": {
                  "property1": {},
                  "property2": {}
                },
                "identifiers": [
                  null
                ],
                "dateTime": "2019-08-24T14:15:22Z",
                "vehicle": {},
                "transportEquipment": {},
                "stopAction": {},
                "geoReference": {
                  "language": {}
                }
              }
            ],
            "attributes": [
              {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "name": "string",
                "color": "string"
              }
            ],
            "versionNumber": 0,
            "constraints": [
              {
                "associationType": "inline",
                "entity": {},
                "description": "string"
              }
            ],
            "consignment": {
              "associationType": "inline",
              "entity": {
                "nonce": "string",
                "versionNumber": 0,
                "hasAgreedToPrice": true,
                "orderType": "standard",
                "name": "string",
                "consignmentNr": "string",
                "description": "string",
                "status": "draft",
                "highValueGoods": true,
                "goods": [
                  null
                ],
                "team": {
                  "emailIntegration": {},
                  "vehicleGroups": [],
                  "fleets": [],
                  "features": [],
                  "managers": [],
                  "users": []
                },
                "consignment": {},
                "currentLocation": {},
                "nextAction": {},
                "lastAction": {},
                "lastPlannedAction": {},
                "isPlannedToLastLocation": true,
                "documents": [
                  null
                ],
                "actors": [
                  null
                ],
                "actions": [
                  null
                ],
                "pricingElements": [
                  null
                ],
                "externalAttributes": {
                  "property1": {},
                  "property2": {}
                },
                "expectedRevenue": {
                  "moneyBuildBlocks": []
                },
                "expectedCost": {
                  "moneyBuildBlocks": []
                },
                "combined": true,
                "type": "string",
                "remark": "string",
                "constraints": [
                  null
                ],
                "identifiers": [
                  null
                ],
                "attributes": [
                  null
                ]
              }
            },
            "isContainmentAction": true,
            "vehicle": {
              "associationType": "inline"
            },
            "transportEquipment": {
              "associationType": "inline"
            },
            "stop": {
              "associationType": "inline",
              "entity": {
                "nonce": "string",
                "versionNumber": 0,
                "type": "load",
                "name": "string",
                "groupId": "string",
                "externalAttributes": {
                  "property1": {},
                  "property2": {}
                },
                "lifeCycle": "requested",
                "result": {
                  "results": [],
                  "answers": {},
                  "attachments": []
                },
                "remark": "string",
                "sequenceNr": 0,
                "tripSequenceNr": 0,
                "location": {
                  "entity": {}
                },
                "startTime": "2019-08-24T14:15:22Z",
                "endTime": "2019-08-24T14:15:22Z",
                "eta": "2019-08-24T14:15:22Z",
                "etd": "2019-08-24T14:15:22Z",
                "timeFormat": "string",
                "recurrence": "string",
                "duration": 0,
                "estimatedDuration": 0,
                "inTripOnly": true,
                "actions": [
                  {}
                ],
                "documents": [
                  null
                ],
                "contextEvents": [
                  null
                ],
                "attributes": [
                  null
                ],
                "timeslotBookings": [
                  null
                ],
                "identifiers": [
                  null
                ],
                "constraints": [
                  null
                ],
                "communicationRequests": [
                  null
                ],
                "consignment": {},
                "isContainmentAction": true,
                "vehicle": {},
                "transportEquipment": {},
                "stop": {},
                "pin": "string",
                "tar": "string",
                "shipmentLine": {},
                "containmentUUID": "string"
              },
              "description": "string"
            },
            "pin": "string",
            "tar": "string",
            "shipmentLine": {
              "scacCode": "string",
              "smdgCode": "string"
            },
            "containmentUUID": "string"
          }
        ],
        "constraints": [
          {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "type": "accessConstraint",
            "name": "string",
            "enforceability": "enforced",
            "description": "string"
          }
        ],
        "pricingElements": [
          {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "sequenceNr": 0,
            "quantity": 0,
            "name": "string",
            "description": "string",
            "category": {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "name": "string",
              "creditCode": "string",
              "debitCode": "string",
              "defaultValue": 0.1,
              "enabled": true,
              "tripRevenue": true
            },
            "business": {}
          }
        ],
        "remark": "string",
        "hash": "string",
        "identifiers": [
          {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "name": "string",
            "system": "string",
            "value": "string",
            "expiredAt": "2019-08-24T14:15:22Z"
          }
        ],
        "externalAttributes": {
          "property1": {},
          "property2": {}
        },
        "dataIsComplete": true
      },
      "radius": 0.1
    },
    "lastActionLocationRadius": {
      "location": {
        "nonce": "string",
        "uuid": "string",
        "primaryPlatformId": "string",
        "language": {},
        "type": "warehouse",
        "name": "string",
        "unCode": "string",
        "geoReference": {
          "nonce": "string",
          "uuid": "string",
          "primaryPlatformId": "string",
          "language": {},
          "type": "addressGeoReference",
          "name": "string",
          "street": "string",
          "houseNumber": "string",
          "houseNumberAddition": "string",
          "postalCode": "string",
          "city": "string",
          "country": "string",
          "hash": "string"
        },
        "administrativeReference": {
          "name": "string",
          "street": "string",
          "houseNumber": "string",
          "houseNumberAddition": "string",
          "postalCode": "string",
          "city": "string",
          "country": "string"
        },
        "contactDetails": [
          {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "type": "iban",
            "value": "string",
            "remarks": "string"
          }
        ],
        "openingTimes": {
          "monday": {
            "start": "string",
            "end": "string",
            "open": true,
            "day": "2019-08-24",
            "name": "string",
            "description": "string"
          },
          "tuesday": {
            "start": "string",
            "end": "string",
            "open": true,
            "day": "2019-08-24",
            "name": "string",
            "description": "string"
          },
          "wednesday": {
            "start": "string",
            "end": "string",
            "open": true,
            "day": "2019-08-24",
            "name": "string",
            "description": "string"
          },
          "thursday": {
            "start": "string",
            "end": "string",
            "open": true,
            "day": "2019-08-24",
            "name": "string",
            "description": "string"
          },
          "friday": {
            "start": "string",
            "end": "string",
            "open": true,
            "day": "2019-08-24",
            "name": "string",
            "description": "string"
          },
          "saturday": {
            "start": "string",
            "end": "string",
            "open": true,
            "day": "2019-08-24",
            "name": "string",
            "description": "string"
          },
          "sunday": {
            "start": "string",
            "end": "string",
            "open": true,
            "day": "2019-08-24",
            "name": "string",
            "description": "string"
          }
        },
        "terminal": {
          "nonce": "string",
          "uuid": "string",
          "primaryPlatformId": "string",
          "language": {},
          "name": "string",
          "integrationType": "portbase",
          "ean": "string",
          "bicsCode": "string",
          "quayName": "string",
          "smdgCode": "string",
          "locations": [
            {}
          ],
          "allowedModalities": [
            "string"
          ],
          "terminalSettings": [
            {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "loading": true,
              "full": true,
              "modality": "string",
              "sealNumberAllowed": true,
              "reeferAllowed": true,
              "grossWeightAllowed": true,
              "outOfGaugeAllowed": true,
              "dangerousGoodsAllowed": true,
              "cargoCutOffInMinutes": 0
            }
          ],
          "tarRequired": true,
          "roadLicenseIdRequired": true
        },
        "actions": [
          {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "type": "load",
            "groupId": "string",
            "name": "string",
            "externalAttributes": {
              "property1": {},
              "property2": {}
            },
            "identifiers": [
              {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "name": "string",
                "system": "string",
                "value": "string",
                "expiredAt": "2019-08-24T14:15:22Z"
              }
            ],
            "lifeCycle": "requested",
            "result": {
              "status": "succeeded",
              "remark": "string",
              "reason": "string",
              "results": [
                {
                  "property1": {},
                  "property2": {}
                }
              ],
              "answers": {
                "property1": {},
                "property2": {}
              },
              "attachments": [
                {}
              ]
            },
            "remark": "string",
            "sequenceNr": 0,
            "tripSequenceNr": 0,
            "location": {
              "associationType": "inline",
              "entity": {},
              "description": "string"
            },
            "startTime": "2019-08-24T14:15:22Z",
            "endTime": "2019-08-24T14:15:22Z",
            "eta": "2019-08-24T14:15:22Z",
            "etd": "2019-08-24T14:15:22Z",
            "timeFormat": "string",
            "recurrence": "string",
            "duration": 0,
            "estimatedDuration": 0,
            "inTripOnly": true,
            "actions": [
              {
                "associationType": "inline",
                "entity": {
                  "externalAttributes": {},
                  "actions": [],
                  "documents": [],
                  "contextEvents": [],
                  "attributes": [],
                  "timeslotBookings": [],
                  "identifiers": [],
                  "constraints": [],
                  "communicationRequests": [],
                  "stop": {}
                },
                "description": "string"
              }
            ],
            "communicationRequests": [
              {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "name": "string",
                "description": "string",
                "status": "pending",
                "responseMessage": "string",
                "responseValue": "string"
              }
            ],
            "documents": [
              {
                "associationType": "inline"
              }
            ],
            "contextEvents": [
              {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "type": "generalEvent",
                "lifeCycle": "requested",
                "externalAttributes": {
                  "property1": {},
                  "property2": {}
                },
                "identifiers": [
                  null
                ],
                "dateTime": "2019-08-24T14:15:22Z",
                "vehicle": {},
                "transportEquipment": {},
                "stopAction": {},
                "geoReference": {
                  "language": {}
                }
              }
            ],
            "attributes": [
              {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "name": "string",
                "color": "string"
              }
            ],
            "versionNumber": 0,
            "constraints": [
              {
                "associationType": "inline",
                "entity": {},
                "description": "string"
              }
            ],
            "consignment": {
              "associationType": "inline",
              "entity": {
                "nonce": "string",
                "versionNumber": 0,
                "hasAgreedToPrice": true,
                "orderType": "standard",
                "name": "string",
                "consignmentNr": "string",
                "description": "string",
                "status": "draft",
                "highValueGoods": true,
                "goods": [
                  null
                ],
                "team": {
                  "emailIntegration": {},
                  "vehicleGroups": [],
                  "fleets": [],
                  "features": [],
                  "managers": [],
                  "users": []
                },
                "consignment": {},
                "currentLocation": {},
                "nextAction": {},
                "lastAction": {},
                "lastPlannedAction": {},
                "isPlannedToLastLocation": true,
                "documents": [
                  null
                ],
                "actors": [
                  null
                ],
                "actions": [
                  null
                ],
                "pricingElements": [
                  null
                ],
                "externalAttributes": {
                  "property1": {},
                  "property2": {}
                },
                "expectedRevenue": {
                  "moneyBuildBlocks": []
                },
                "expectedCost": {
                  "moneyBuildBlocks": []
                },
                "combined": true,
                "type": "string",
                "remark": "string",
                "constraints": [
                  null
                ],
                "identifiers": [
                  null
                ],
                "attributes": [
                  null
                ]
              }
            },
            "isContainmentAction": true,
            "vehicle": {
              "associationType": "inline"
            },
            "transportEquipment": {
              "associationType": "inline"
            },
            "stop": {
              "associationType": "inline",
              "entity": {
                "nonce": "string",
                "versionNumber": 0,
                "type": "load",
                "name": "string",
                "groupId": "string",
                "externalAttributes": {
                  "property1": {},
                  "property2": {}
                },
                "lifeCycle": "requested",
                "result": {
                  "results": [],
                  "answers": {},
                  "attachments": []
                },
                "remark": "string",
                "sequenceNr": 0,
                "tripSequenceNr": 0,
                "location": {
                  "entity": {}
                },
                "startTime": "2019-08-24T14:15:22Z",
                "endTime": "2019-08-24T14:15:22Z",
                "eta": "2019-08-24T14:15:22Z",
                "etd": "2019-08-24T14:15:22Z",
                "timeFormat": "string",
                "recurrence": "string",
                "duration": 0,
                "estimatedDuration": 0,
                "inTripOnly": true,
                "actions": [
                  {}
                ],
                "documents": [
                  null
                ],
                "contextEvents": [
                  null
                ],
                "attributes": [
                  null
                ],
                "timeslotBookings": [
                  null
                ],
                "identifiers": [
                  null
                ],
                "constraints": [
                  null
                ],
                "communicationRequests": [
                  null
                ],
                "consignment": {},
                "isContainmentAction": true,
                "vehicle": {},
                "transportEquipment": {},
                "stop": {},
                "pin": "string",
                "tar": "string",
                "shipmentLine": {},
                "containmentUUID": "string"
              },
              "description": "string"
            },
            "pin": "string",
            "tar": "string",
            "shipmentLine": {
              "scacCode": "string",
              "smdgCode": "string"
            },
            "containmentUUID": "string"
          }
        ],
        "constraints": [
          {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "type": "accessConstraint",
            "name": "string",
            "enforceability": "enforced",
            "description": "string"
          }
        ],
        "pricingElements": [
          {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "sequenceNr": 0,
            "quantity": 0,
            "name": "string",
            "description": "string",
            "category": {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "name": "string",
              "creditCode": "string",
              "debitCode": "string",
              "defaultValue": 0.1,
              "enabled": true,
              "tripRevenue": true
            },
            "business": {}
          }
        ],
        "remark": "string",
        "hash": "string",
        "identifiers": [
          {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "name": "string",
            "system": "string",
            "value": "string",
            "expiredAt": "2019-08-24T14:15:22Z"
          }
        ],
        "externalAttributes": {
          "property1": {},
          "property2": {}
        },
        "dataIsComplete": true
      },
      "radius": 0.1
    },
    "corridor": {
      "fromLocation": {
        "nonce": "string",
        "uuid": "string",
        "primaryPlatformId": "string",
        "language": {},
        "type": "warehouse",
        "name": "string",
        "unCode": "string",
        "geoReference": {
          "nonce": "string",
          "uuid": "string",
          "primaryPlatformId": "string",
          "language": {},
          "type": "addressGeoReference",
          "name": "string",
          "street": "string",
          "houseNumber": "string",
          "houseNumberAddition": "string",
          "postalCode": "string",
          "city": "string",
          "country": "string",
          "hash": "string"
        },
        "administrativeReference": {
          "name": "string",
          "street": "string",
          "houseNumber": "string",
          "houseNumberAddition": "string",
          "postalCode": "string",
          "city": "string",
          "country": "string"
        },
        "contactDetails": [
          {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "type": "iban",
            "value": "string",
            "remarks": "string"
          }
        ],
        "openingTimes": {
          "monday": {
            "start": "string",
            "end": "string",
            "open": true,
            "day": "2019-08-24",
            "name": "string",
            "description": "string"
          },
          "tuesday": {
            "start": "string",
            "end": "string",
            "open": true,
            "day": "2019-08-24",
            "name": "string",
            "description": "string"
          },
          "wednesday": {
            "start": "string",
            "end": "string",
            "open": true,
            "day": "2019-08-24",
            "name": "string",
            "description": "string"
          },
          "thursday": {
            "start": "string",
            "end": "string",
            "open": true,
            "day": "2019-08-24",
            "name": "string",
            "description": "string"
          },
          "friday": {
            "start": "string",
            "end": "string",
            "open": true,
            "day": "2019-08-24",
            "name": "string",
            "description": "string"
          },
          "saturday": {
            "start": "string",
            "end": "string",
            "open": true,
            "day": "2019-08-24",
            "name": "string",
            "description": "string"
          },
          "sunday": {
            "start": "string",
            "end": "string",
            "open": true,
            "day": "2019-08-24",
            "name": "string",
            "description": "string"
          }
        },
        "terminal": {
          "nonce": "string",
          "uuid": "string",
          "primaryPlatformId": "string",
          "language": {},
          "name": "string",
          "integrationType": "portbase",
          "ean": "string",
          "bicsCode": "string",
          "quayName": "string",
          "smdgCode": "string",
          "locations": [
            {}
          ],
          "allowedModalities": [
            "string"
          ],
          "terminalSettings": [
            {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "loading": true,
              "full": true,
              "modality": "string",
              "sealNumberAllowed": true,
              "reeferAllowed": true,
              "grossWeightAllowed": true,
              "outOfGaugeAllowed": true,
              "dangerousGoodsAllowed": true,
              "cargoCutOffInMinutes": 0
            }
          ],
          "tarRequired": true,
          "roadLicenseIdRequired": true
        },
        "actions": [
          {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "type": "load",
            "groupId": "string",
            "name": "string",
            "externalAttributes": {
              "property1": {},
              "property2": {}
            },
            "identifiers": [
              {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "name": "string",
                "system": "string",
                "value": "string",
                "expiredAt": "2019-08-24T14:15:22Z"
              }
            ],
            "lifeCycle": "requested",
            "result": {
              "status": "succeeded",
              "remark": "string",
              "reason": "string",
              "results": [
                {
                  "property1": {},
                  "property2": {}
                }
              ],
              "answers": {
                "property1": {},
                "property2": {}
              },
              "attachments": [
                {}
              ]
            },
            "remark": "string",
            "sequenceNr": 0,
            "tripSequenceNr": 0,
            "location": {
              "associationType": "inline",
              "entity": {},
              "description": "string"
            },
            "startTime": "2019-08-24T14:15:22Z",
            "endTime": "2019-08-24T14:15:22Z",
            "eta": "2019-08-24T14:15:22Z",
            "etd": "2019-08-24T14:15:22Z",
            "timeFormat": "string",
            "recurrence": "string",
            "duration": 0,
            "estimatedDuration": 0,
            "inTripOnly": true,
            "actions": [
              {
                "associationType": "inline",
                "entity": {
                  "externalAttributes": {},
                  "actions": [],
                  "documents": [],
                  "contextEvents": [],
                  "attributes": [],
                  "timeslotBookings": [],
                  "identifiers": [],
                  "constraints": [],
                  "communicationRequests": [],
                  "stop": {}
                },
                "description": "string"
              }
            ],
            "communicationRequests": [
              {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "name": "string",
                "description": "string",
                "status": "pending",
                "responseMessage": "string",
                "responseValue": "string"
              }
            ],
            "documents": [
              {
                "associationType": "inline"
              }
            ],
            "contextEvents": [
              {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "type": "generalEvent",
                "lifeCycle": "requested",
                "externalAttributes": {
                  "property1": {},
                  "property2": {}
                },
                "identifiers": [
                  null
                ],
                "dateTime": "2019-08-24T14:15:22Z",
                "vehicle": {},
                "transportEquipment": {},
                "stopAction": {},
                "geoReference": {
                  "language": {}
                }
              }
            ],
            "attributes": [
              {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "name": "string",
                "color": "string"
              }
            ],
            "versionNumber": 0,
            "constraints": [
              {
                "associationType": "inline",
                "entity": {},
                "description": "string"
              }
            ],
            "consignment": {
              "associationType": "inline",
              "entity": {
                "nonce": "string",
                "versionNumber": 0,
                "hasAgreedToPrice": true,
                "orderType": "standard",
                "name": "string",
                "consignmentNr": "string",
                "description": "string",
                "status": "draft",
                "highValueGoods": true,
                "goods": [
                  null
                ],
                "team": {
                  "emailIntegration": {},
                  "vehicleGroups": [],
                  "fleets": [],
                  "features": [],
                  "managers": [],
                  "users": []
                },
                "consignment": {},
                "currentLocation": {},
                "nextAction": {},
                "lastAction": {},
                "lastPlannedAction": {},
                "isPlannedToLastLocation": true,
                "documents": [
                  null
                ],
                "actors": [
                  null
                ],
                "actions": [
                  null
                ],
                "pricingElements": [
                  null
                ],
                "externalAttributes": {
                  "property1": {},
                  "property2": {}
                },
                "expectedRevenue": {
                  "moneyBuildBlocks": []
                },
                "expectedCost": {
                  "moneyBuildBlocks": []
                },
                "combined": true,
                "type": "string",
                "remark": "string",
                "constraints": [
                  null
                ],
                "identifiers": [
                  null
                ],
                "attributes": [
                  null
                ]
              }
            },
            "isContainmentAction": true,
            "vehicle": {
              "associationType": "inline"
            },
            "transportEquipment": {
              "associationType": "inline"
            },
            "stop": {
              "associationType": "inline",
              "entity": {
                "nonce": "string",
                "versionNumber": 0,
                "type": "load",
                "name": "string",
                "groupId": "string",
                "externalAttributes": {
                  "property1": {},
                  "property2": {}
                },
                "lifeCycle": "requested",
                "result": {
                  "results": [],
                  "answers": {},
                  "attachments": []
                },
                "remark": "string",
                "sequenceNr": 0,
                "tripSequenceNr": 0,
                "location": {
                  "entity": {}
                },
                "startTime": "2019-08-24T14:15:22Z",
                "endTime": "2019-08-24T14:15:22Z",
                "eta": "2019-08-24T14:15:22Z",
                "etd": "2019-08-24T14:15:22Z",
                "timeFormat": "string",
                "recurrence": "string",
                "duration": 0,
                "estimatedDuration": 0,
                "inTripOnly": true,
                "actions": [
                  {}
                ],
                "documents": [
                  null
                ],
                "contextEvents": [
                  null
                ],
                "attributes": [
                  null
                ],
                "timeslotBookings": [
                  null
                ],
                "identifiers": [
                  null
                ],
                "constraints": [
                  null
                ],
                "communicationRequests": [
                  null
                ],
                "consignment": {},
                "isContainmentAction": true,
                "vehicle": {},
                "transportEquipment": {},
                "stop": {},
                "pin": "string",
                "tar": "string",
                "shipmentLine": {},
                "containmentUUID": "string"
              },
              "description": "string"
            },
            "pin": "string",
            "tar": "string",
            "shipmentLine": {
              "scacCode": "string",
              "smdgCode": "string"
            },
            "containmentUUID": "string"
          }
        ],
        "constraints": [
          {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "type": "accessConstraint",
            "name": "string",
            "enforceability": "enforced",
            "description": "string"
          }
        ],
        "pricingElements": [
          {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "sequenceNr": 0,
            "quantity": 0,
            "name": "string",
            "description": "string",
            "category": {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "name": "string",
              "creditCode": "string",
              "debitCode": "string",
              "defaultValue": 0.1,
              "enabled": true,
              "tripRevenue": true
            },
            "business": {}
          }
        ],
        "remark": "string",
        "hash": "string",
        "identifiers": [
          {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "name": "string",
            "system": "string",
            "value": "string",
            "expiredAt": "2019-08-24T14:15:22Z"
          }
        ],
        "externalAttributes": {
          "property1": {},
          "property2": {}
        },
        "dataIsComplete": true
      },
      "toLocation": {
        "nonce": "string",
        "uuid": "string",
        "primaryPlatformId": "string",
        "language": {},
        "type": "warehouse",
        "name": "string",
        "unCode": "string",
        "geoReference": {
          "nonce": "string",
          "uuid": "string",
          "primaryPlatformId": "string",
          "language": {},
          "type": "addressGeoReference",
          "name": "string",
          "street": "string",
          "houseNumber": "string",
          "houseNumberAddition": "string",
          "postalCode": "string",
          "city": "string",
          "country": "string",
          "hash": "string"
        },
        "administrativeReference": {
          "name": "string",
          "street": "string",
          "houseNumber": "string",
          "houseNumberAddition": "string",
          "postalCode": "string",
          "city": "string",
          "country": "string"
        },
        "contactDetails": [
          {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "type": "iban",
            "value": "string",
            "remarks": "string"
          }
        ],
        "openingTimes": {
          "monday": {
            "start": "string",
            "end": "string",
            "open": true,
            "day": "2019-08-24",
            "name": "string",
            "description": "string"
          },
          "tuesday": {
            "start": "string",
            "end": "string",
            "open": true,
            "day": "2019-08-24",
            "name": "string",
            "description": "string"
          },
          "wednesday": {
            "start": "string",
            "end": "string",
            "open": true,
            "day": "2019-08-24",
            "name": "string",
            "description": "string"
          },
          "thursday": {
            "start": "string",
            "end": "string",
            "open": true,
            "day": "2019-08-24",
            "name": "string",
            "description": "string"
          },
          "friday": {
            "start": "string",
            "end": "string",
            "open": true,
            "day": "2019-08-24",
            "name": "string",
            "description": "string"
          },
          "saturday": {
            "start": "string",
            "end": "string",
            "open": true,
            "day": "2019-08-24",
            "name": "string",
            "description": "string"
          },
          "sunday": {
            "start": "string",
            "end": "string",
            "open": true,
            "day": "2019-08-24",
            "name": "string",
            "description": "string"
          }
        },
        "terminal": {
          "nonce": "string",
          "uuid": "string",
          "primaryPlatformId": "string",
          "language": {},
          "name": "string",
          "integrationType": "portbase",
          "ean": "string",
          "bicsCode": "string",
          "quayName": "string",
          "smdgCode": "string",
          "locations": [
            {}
          ],
          "allowedModalities": [
            "string"
          ],
          "terminalSettings": [
            {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "loading": true,
              "full": true,
              "modality": "string",
              "sealNumberAllowed": true,
              "reeferAllowed": true,
              "grossWeightAllowed": true,
              "outOfGaugeAllowed": true,
              "dangerousGoodsAllowed": true,
              "cargoCutOffInMinutes": 0
            }
          ],
          "tarRequired": true,
          "roadLicenseIdRequired": true
        },
        "actions": [
          {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "type": "load",
            "groupId": "string",
            "name": "string",
            "externalAttributes": {
              "property1": {},
              "property2": {}
            },
            "identifiers": [
              {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "name": "string",
                "system": "string",
                "value": "string",
                "expiredAt": "2019-08-24T14:15:22Z"
              }
            ],
            "lifeCycle": "requested",
            "result": {
              "status": "succeeded",
              "remark": "string",
              "reason": "string",
              "results": [
                {
                  "property1": {},
                  "property2": {}
                }
              ],
              "answers": {
                "property1": {},
                "property2": {}
              },
              "attachments": [
                {}
              ]
            },
            "remark": "string",
            "sequenceNr": 0,
            "tripSequenceNr": 0,
            "location": {
              "associationType": "inline",
              "entity": {},
              "description": "string"
            },
            "startTime": "2019-08-24T14:15:22Z",
            "endTime": "2019-08-24T14:15:22Z",
            "eta": "2019-08-24T14:15:22Z",
            "etd": "2019-08-24T14:15:22Z",
            "timeFormat": "string",
            "recurrence": "string",
            "duration": 0,
            "estimatedDuration": 0,
            "inTripOnly": true,
            "actions": [
              {
                "associationType": "inline",
                "entity": {
                  "externalAttributes": {},
                  "actions": [],
                  "documents": [],
                  "contextEvents": [],
                  "attributes": [],
                  "timeslotBookings": [],
                  "identifiers": [],
                  "constraints": [],
                  "communicationRequests": [],
                  "stop": {}
                },
                "description": "string"
              }
            ],
            "communicationRequests": [
              {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "name": "string",
                "description": "string",
                "status": "pending",
                "responseMessage": "string",
                "responseValue": "string"
              }
            ],
            "documents": [
              {
                "associationType": "inline"
              }
            ],
            "contextEvents": [
              {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "type": "generalEvent",
                "lifeCycle": "requested",
                "externalAttributes": {
                  "property1": {},
                  "property2": {}
                },
                "identifiers": [
                  null
                ],
                "dateTime": "2019-08-24T14:15:22Z",
                "vehicle": {},
                "transportEquipment": {},
                "stopAction": {},
                "geoReference": {
                  "language": {}
                }
              }
            ],
            "attributes": [
              {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "name": "string",
                "color": "string"
              }
            ],
            "versionNumber": 0,
            "constraints": [
              {
                "associationType": "inline",
                "entity": {},
                "description": "string"
              }
            ],
            "consignment": {
              "associationType": "inline",
              "entity": {
                "nonce": "string",
                "versionNumber": 0,
                "hasAgreedToPrice": true,
                "orderType": "standard",
                "name": "string",
                "consignmentNr": "string",
                "description": "string",
                "status": "draft",
                "highValueGoods": true,
                "goods": [
                  null
                ],
                "team": {
                  "emailIntegration": {},
                  "vehicleGroups": [],
                  "fleets": [],
                  "features": [],
                  "managers": [],
                  "users": []
                },
                "consignment": {},
                "currentLocation": {},
                "nextAction": {},
                "lastAction": {},
                "lastPlannedAction": {},
                "isPlannedToLastLocation": true,
                "documents": [
                  null
                ],
                "actors": [
                  null
                ],
                "actions": [
                  null
                ],
                "pricingElements": [
                  null
                ],
                "externalAttributes": {
                  "property1": {},
                  "property2": {}
                },
                "expectedRevenue": {
                  "moneyBuildBlocks": []
                },
                "expectedCost": {
                  "moneyBuildBlocks": []
                },
                "combined": true,
                "type": "string",
                "remark": "string",
                "constraints": [
                  null
                ],
                "identifiers": [
                  null
                ],
                "attributes": [
                  null
                ]
              }
            },
            "isContainmentAction": true,
            "vehicle": {
              "associationType": "inline"
            },
            "transportEquipment": {
              "associationType": "inline"
            },
            "stop": {
              "associationType": "inline",
              "entity": {
                "nonce": "string",
                "versionNumber": 0,
                "type": "load",
                "name": "string",
                "groupId": "string",
                "externalAttributes": {
                  "property1": {},
                  "property2": {}
                },
                "lifeCycle": "requested",
                "result": {
                  "results": [],
                  "answers": {},
                  "attachments": []
                },
                "remark": "string",
                "sequenceNr": 0,
                "tripSequenceNr": 0,
                "location": {
                  "entity": {}
                },
                "startTime": "2019-08-24T14:15:22Z",
                "endTime": "2019-08-24T14:15:22Z",
                "eta": "2019-08-24T14:15:22Z",
                "etd": "2019-08-24T14:15:22Z",
                "timeFormat": "string",
                "recurrence": "string",
                "duration": 0,
                "estimatedDuration": 0,
                "inTripOnly": true,
                "actions": [
                  {}
                ],
                "documents": [
                  null
                ],
                "contextEvents": [
                  null
                ],
                "attributes": [
                  null
                ],
                "timeslotBookings": [
                  null
                ],
                "identifiers": [
                  null
                ],
                "constraints": [
                  null
                ],
                "communicationRequests": [
                  null
                ],
                "consignment": {},
                "isContainmentAction": true,
                "vehicle": {},
                "transportEquipment": {},
                "stop": {},
                "pin": "string",
                "tar": "string",
                "shipmentLine": {},
                "containmentUUID": "string"
              },
              "description": "string"
            },
            "pin": "string",
            "tar": "string",
            "shipmentLine": {
              "scacCode": "string",
              "smdgCode": "string"
            },
            "containmentUUID": "string"
          }
        ],
        "constraints": [
          {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "type": "accessConstraint",
            "name": "string",
            "enforceability": "enforced",
            "description": "string"
          }
        ],
        "pricingElements": [
          {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "sequenceNr": 0,
            "quantity": 0,
            "name": "string",
            "description": "string",
            "category": {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "name": "string",
              "creditCode": "string",
              "debitCode": "string",
              "defaultValue": 0.1,
              "enabled": true,
              "tripRevenue": true
            },
            "business": {}
          }
        ],
        "remark": "string",
        "hash": "string",
        "identifiers": [
          {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "name": "string",
            "system": "string",
            "value": "string",
            "expiredAt": "2019-08-24T14:15:22Z"
          }
        ],
        "externalAttributes": {
          "property1": {},
          "property2": {}
        },
        "dataIsComplete": true
      },
      "corridorWidth": 0.1,
      "transportMode": "maritime",
      "vehicleId": "string"
    },
    "sortBy": [
      {
        "fields": [
          "string"
        ],
        "sortDirection": "asc"
      }
    ],
    "nextAction.constraints.startDateTime": {
      "id": "string",
      "start": "2019-08-24T14:15:22Z",
      "end": "2019-08-24T14:15:22Z"
    },
    "nextAction.constraints.endDateTime": {
      "id": "string",
      "start": "2019-08-24T14:15:22Z",
      "end": "2019-08-24T14:15:22Z"
    },
    "lastAction.constraints.startDateTime": {
      "id": "string",
      "start": "2019-08-24T14:15:22Z",
      "end": "2019-08-24T14:15:22Z"
    },
    "lastAction.constraints.endDateTime": {
      "id": "string",
      "start": "2019-08-24T14:15:22Z",
      "end": "2019-08-24T14:15:22Z"
    }
  }'

Responses

Success

Bodyapplication/json
successboolean
messagestring
codeinteger(int32)
tenderobject(TenderModel)
Response
application/json
{ "success": true, "message": "string", "code": 0, "tender": { "id": "string", "nonce": "string", "uuid": "string", "primaryPlatformId": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "language": {}, "platforms": [], "name": "string", "description": "string", "type": "one_time", "status": "concept", "targetPrice": {}, "acceptAutomaticallyAtTargetPrice": true, "business": {}, "creator": {}, "brokers": [], "contract": {}, "consignment": {}, "mostRecentBid": {}, "lowestAmountBid": {}, "totalBidCount": 0 } }

Accept tenderBid

Request

Accept a tender bid that has been made

Security
bearer or apiKey or apiSecret
Path
idstringrequired
Headers
Authorizationstringrequired
curl -i -X GET \
  'https://docs.transportial.com/_mock/apis/tender/bid/{id}/accept' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Success

Bodyapplication/json
successboolean
messagestring
codeinteger(int32)
tenderBidobject(TenderBidModel)
Response
application/json
{ "success": true, "message": "string", "code": 0, "tenderBid": { "id": "string", "nonce": "string", "uuid": "string", "primaryPlatformId": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "language": {}, "platforms": [], "status": "concept", "business": {}, "user": {}, "broker": {}, "bid": {}, "remark": "string", "counterBid": {} } }

Create tender

Request

Create a new tender

Security
bearer or apiKey or apiSecret
Path
idstringrequired
Headers
Authorizationstringrequired
Bodyapplication/jsonrequired
tenderBidIdstring
reasoningstring
curl -i -X POST \
  'https://docs.transportial.com/_mock/apis/tender/bid/{id}/decline' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "tenderBidId": "string",
    "reasoning": "string"
  }'

Responses

Success

Bodyapplication/json
successboolean
messagestring
codeinteger(int32)
tenderobject(TenderModel)
Response
application/json
{ "success": true, "message": "string", "code": 0, "tender": { "id": "string", "nonce": "string", "uuid": "string", "primaryPlatformId": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "language": {}, "platforms": [], "name": "string", "description": "string", "type": "one_time", "status": "concept", "targetPrice": {}, "acceptAutomaticallyAtTargetPrice": true, "business": {}, "creator": {}, "brokers": [], "contract": {}, "consignment": {}, "mostRecentBid": {}, "lowestAmountBid": {}, "totalBidCount": 0 } }

Counter offer

Request

decline and counter offer

Security
bearer or apiKey or apiSecret
Path
idstringrequired
Headers
Authorizationstringrequired
Bodyapplication/jsonrequired
noncestring

Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

uuidstringrequired
primaryPlatformIdstringrequired
languageobject(LanguageModel)
platformsArray of objects(PlatformModel)
statusstring
Enum"concept""offered""declined""accepted""not_chosen"
businessobject(Business)
userobject(UserModel)
remarkstring
counterBidobject

circular reference

curl -i -X POST \
  'https://docs.transportial.com/_mock/apis/tender/bid/{id}/counter' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "nonce": "string",
    "uuid": "string",
    "primaryPlatformId": "string",
    "language": {
      "nonce": "string",
      "uuid": "string",
      "primaryPlatformId": "string",
      "language": {},
      "platforms": [
        {
          "nonce": "string",
          "uuid": "string",
          "primaryPlatformId": "string",
          "language": {},
          "name": "string",
          "nameSpace": "string",
          "logo": {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "url": "string",
            "path": "string",
            "name": "string",
            "originalName": "string",
            "size": 0,
            "purpose": "string",
            "type": "IMAGE",
            "mimeType": "string",
            "extension": "string",
            "identifiers": [
              {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "name": "string",
                "system": "string",
                "value": "string",
                "expiredAt": "2019-08-24T14:15:22Z"
              }
            ],
            "bucket": {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "name": "string"
            },
            "uploadedAt": "2019-08-24T14:15:22Z",
            "tempFile": "string",
            "contentMatrix": [
              [
                "string"
              ]
            ]
          },
          "favicon": {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "url": "string",
            "path": "string",
            "name": "string",
            "originalName": "string",
            "size": 0,
            "purpose": "string",
            "type": "IMAGE",
            "mimeType": "string",
            "extension": "string",
            "identifiers": [
              {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "name": "string",
                "system": "string",
                "value": "string",
                "expiredAt": "2019-08-24T14:15:22Z"
              }
            ],
            "bucket": {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "name": "string"
            },
            "uploadedAt": "2019-08-24T14:15:22Z",
            "tempFile": "string",
            "contentMatrix": [
              [
                "string"
              ]
            ]
          },
          "hostNames": [
            {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "hostName": "string"
            }
          ],
          "features": [
            {
              "name": "string",
              "accountTypes": [
                "default"
              ]
            }
          ],
          "allowedEmailDomains": [
            "string"
          ],
          "emailIntegration": {
            "nonce": "string",
            "type": "manual",
            "name": "string",
            "description": "string",
            "schedule": {
              "integrationSchedulerScheduleValue": 0,
              "integrationSchedulerScheduleType": "seconds",
              "milliseconds": 0
            },
            "dataSources": [
              {
                "nonce": "string",
                "directionType": "in",
                "connectionType": "api",
                "requestMethod": "get",
                "dataType": "xml",
                "entityType": "action",
                "url": "string",
                "port": 0,
                "path": "string",
                "token": "string",
                "query": "string",
                "parameters": [
                  null
                ],
                "allowedIps": [
                  null
                ],
                "hasAuthentication": true,
                "credentials": {
                  "externalAttributes": {},
                  "headers": {}
                },
                "otm": true,
                "fields": [
                  null
                ],
                "filters": [
                  null
                ],
                "template": true
              }
            ],
            "enabled": true,
            "lastHandled": "2019-08-24T14:15:22Z",
            "sectorType": "boardComputer",
            "manualType": "transics",
            "enabledFunctions": [
              "string"
            ],
            "url": "string",
            "port": 0,
            "credentials": {
              "authenticationMethod": "apiKey",
              "username": "string",
              "password": "string",
              "accessKey": "string",
              "secretKey": "string",
              "clientId": "string",
              "clientSecret": "string",
              "grantType": "string",
              "scope": "string",
              "apiKey": "string",
              "bearer": "string",
              "sshKey": {
                "nonce": "string",
                "url": "string",
                "path": "string",
                "name": "string",
                "originalName": "string",
                "size": 0,
                "purpose": "string",
                "type": "IMAGE",
                "mimeType": "string",
                "extension": "string",
                "identifiers": [
                  null
                ],
                "bucket": {},
                "uploadedAt": "2019-08-24T14:15:22Z",
                "tempFile": "string"
              },
              "sshTunnel": true,
              "sshHost": "string",
              "sshUsername": "string",
              "sshPassword": "string",
              "externalAttributes": {
                "property1": {},
                "property2": {}
              },
              "headers": {
                "property1": {},
                "property2": {}
              },
              "oauthUrl": "string",
              "oAuthCache": "string",
              "oAuthCacheCreationDate": "2019-08-24T14:15:22Z",
              "openIdToken": "string",
              "openIdRefreshToken": "string",
              "openIdAccessToken": "string",
              "openIdExpiration": "2019-08-24T14:15:22Z"
            },
            "filters": [
              {
                "selector": "string",
                "comparisonType": "equal",
                "value": "string",
                "linkType": "and",
                "filters": [
                  {}
                ],
                "sequenceNr": 0,
                "valueSelector": "string"
              }
            ],
            "integration": [
              {
                "nonce": "string",
                "author": {
                  "recoveryCodes": [],
                  "identifiers": [],
                  "notes": [],
                  "businesses": [],
                  "features": [],
                  "vehicleGroups": []
                },
                "name": "string",
                "text": "string"
              }
            ]
          },
          "notificationLogo": {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "url": "string",
            "path": "string",
            "name": "string",
            "originalName": "string",
            "size": 0,
            "purpose": "string",
            "type": "IMAGE",
            "mimeType": "string",
            "extension": "string",
            "identifiers": [
              {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "name": "string",
                "system": "string",
                "value": "string",
                "expiredAt": "2019-08-24T14:15:22Z"
              }
            ],
            "bucket": {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "name": "string"
            },
            "uploadedAt": "2019-08-24T14:15:22Z",
            "tempFile": "string",
            "contentMatrix": [
              [
                "string"
              ]
            ]
          },
          "fullLogo": {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "url": "string",
            "path": "string",
            "name": "string",
            "originalName": "string",
            "size": 0,
            "purpose": "string",
            "type": "IMAGE",
            "mimeType": "string",
            "extension": "string",
            "identifiers": [
              {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "name": "string",
                "system": "string",
                "value": "string",
                "expiredAt": "2019-08-24T14:15:22Z"
              }
            ],
            "bucket": {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "name": "string"
            },
            "uploadedAt": "2019-08-24T14:15:22Z",
            "tempFile": "string",
            "contentMatrix": [
              [
                "string"
              ]
            ]
          },
          "backgroundImage": {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "url": "string",
            "path": "string",
            "name": "string",
            "originalName": "string",
            "size": 0,
            "purpose": "string",
            "type": "IMAGE",
            "mimeType": "string",
            "extension": "string",
            "identifiers": [
              {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "name": "string",
                "system": "string",
                "value": "string",
                "expiredAt": "2019-08-24T14:15:22Z"
              }
            ],
            "bucket": {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "name": "string"
            },
            "uploadedAt": "2019-08-24T14:15:22Z",
            "tempFile": "string",
            "contentMatrix": [
              [
                "string"
              ]
            ]
          },
          "darkLogo": {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "url": "string",
            "path": "string",
            "name": "string",
            "originalName": "string",
            "size": 0,
            "purpose": "string",
            "type": "IMAGE",
            "mimeType": "string",
            "extension": "string",
            "identifiers": [
              {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "name": "string",
                "system": "string",
                "value": "string",
                "expiredAt": "2019-08-24T14:15:22Z"
              }
            ],
            "bucket": {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "name": "string"
            },
            "uploadedAt": "2019-08-24T14:15:22Z",
            "tempFile": "string",
            "contentMatrix": [
              [
                "string"
              ]
            ]
          },
          "darkFavicon": {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "url": "string",
            "path": "string",
            "name": "string",
            "originalName": "string",
            "size": 0,
            "purpose": "string",
            "type": "IMAGE",
            "mimeType": "string",
            "extension": "string",
            "identifiers": [
              {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "name": "string",
                "system": "string",
                "value": "string",
                "expiredAt": "2019-08-24T14:15:22Z"
              }
            ],
            "bucket": {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "name": "string"
            },
            "uploadedAt": "2019-08-24T14:15:22Z",
            "tempFile": "string",
            "contentMatrix": [
              [
                "string"
              ]
            ]
          },
          "darkNotificationLogo": {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "url": "string",
            "path": "string",
            "name": "string",
            "originalName": "string",
            "size": 0,
            "purpose": "string",
            "type": "IMAGE",
            "mimeType": "string",
            "extension": "string",
            "identifiers": [
              {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "name": "string",
                "system": "string",
                "value": "string",
                "expiredAt": "2019-08-24T14:15:22Z"
              }
            ],
            "bucket": {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "name": "string"
            },
            "uploadedAt": "2019-08-24T14:15:22Z",
            "tempFile": "string",
            "contentMatrix": [
              [
                "string"
              ]
            ]
          },
          "darkFullLogo": {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "url": "string",
            "path": "string",
            "name": "string",
            "originalName": "string",
            "size": 0,
            "purpose": "string",
            "type": "IMAGE",
            "mimeType": "string",
            "extension": "string",
            "identifiers": [
              {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "name": "string",
                "system": "string",
                "value": "string",
                "expiredAt": "2019-08-24T14:15:22Z"
              }
            ],
            "bucket": {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "name": "string"
            },
            "uploadedAt": "2019-08-24T14:15:22Z",
            "tempFile": "string",
            "contentMatrix": [
              [
                "string"
              ]
            ]
          },
          "darkBackgroundImage": {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "url": "string",
            "path": "string",
            "name": "string",
            "originalName": "string",
            "size": 0,
            "purpose": "string",
            "type": "IMAGE",
            "mimeType": "string",
            "extension": "string",
            "identifiers": [
              {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "name": "string",
                "system": "string",
                "value": "string",
                "expiredAt": "2019-08-24T14:15:22Z"
              }
            ],
            "bucket": {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "name": "string"
            },
            "uploadedAt": "2019-08-24T14:15:22Z",
            "tempFile": "string",
            "contentMatrix": [
              [
                "string"
              ]
            ]
          },
          "primaryColor": "string",
          "secondaryColor": "string",
          "darkPrimaryColor": "string",
          "darkSecondaryColor": "string",
          "planningSettings": {
            "defaultDeliveryTerms": "EXW",
            "optimizerEngine": "transportial",
            "alwaysCombinedTransport": true,
            "finishTripOnActionsComplete": true,
            "requirePlannerCompletionForTrips": true,
            "showEventsOnActionCards": true,
            "goodsWeightsAndLoadMetersAreTotalFields": true,
            "optimizerAlgorithmConfiguration": {
              "defaultVehicleOperatingIntervals": [
                {}
              ],
              "maxDrivingPeriod": 0,
              "maxPeriod": 0,
              "ignoreLocationConstraints": true,
              "ignoreConsignmentConstraints": true,
              "ignoreActionConstraints": true
            },
            "loadActionDefaultDuration": 0,
            "unloadActionDefaultDuration": 0,
            "stopActionDefaultDuration": 0,
            "attachTransportEquipmentActionDefaultDuration": 0,
            "detachTransportEquipmentActionDefaultDuration": 0,
            "groupedStopActionDurationSeconds": 0,
            "defaultTransportOrderTemplate": "string",
            "consignmentAttributeCheckmarks": [
              {
                "nonce": "string",
                "name": "string",
                "color": "string"
              }
            ],
            "defaultTripStartDuration": 0,
            "defaultTripStartDateFromNextActionTimeWindow": true,
            "defaultTollCostPricingCategory": {
              "nonce": "string",
              "name": "string",
              "creditCode": "string",
              "debitCode": "string",
              "defaultValue": 0.1,
              "enabled": true,
              "tripRevenue": true,
              "identifiers": [
                {}
              ]
            },
            "mapUris": [
              {
                "name": "string",
                "previewUrl": "string",
[...]
